Events
List event sponsors
Returns newest sponsors with package, donor, logo, deliverables, logo URL and included guest/seat summaries. Included guests match the sponsor ticket-slot metadata. Requires event-view permission or a route-authorized Events role.
GET
/
admin
/
events
/
{eventId}
/
sponsors
List event sponsors
curl --request GET \
--url https://api.gratona.com/v1/admin/events/{eventId}/sponsors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/events/{eventId}/sponsors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/events/{eventId}/sponsors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/{eventId}/sponsors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/{eventId}/sponsors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/events/{eventId}/sponsors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/{eventId}/sponsors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"event_sponsor_package_id": 1,
"event_order_id": 1,
"donor_id": 1,
"company_name": "Example",
"contact_name": "Example",
"contact_email": "Example",
"contact_phone": "Example",
"logo_upload_id": 1,
"status": "Example",
"amount": "25.00",
"fair_market_value": "25.00",
"included_tickets_assigned": 42,
"public_visibility": false,
"notes": "Example",
"renewal_follow_up_at": "2026-10-20T12:00:00Z",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z",
"package": {
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"tier": "Example",
"description": "Example",
"price": "25.00",
"fair_market_value": "25.00",
"included_tickets": 1,
"included_tables": 1,
"quantity_available": 1,
"quantity_sold": 1,
"quantity_reserved": 1,
"visibility": "public",
"deliverables_template": [
"<string>"
],
"settings": {},
"is_active": false,
"sort_order": 1,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
},
"donor": {
"id": 42,
"first_name": "Example",
"last_name": "Example",
"email": "jane@example.org"
},
"logo": {
"id": 42,
"name": "event-logo.png",
"file_name": "logo.png"
},
"logo_url": "Example",
"deliverables": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"event_sponsor_id": 1,
"type": "Example",
"label": "Example",
"status": "Example",
"due_at": "2026-10-20T12:00:00Z",
"completed_at": "2026-10-20T12:00:00Z",
"completed_by": 42,
"notes": "Example",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"included_guests": [
{
"id": 42,
"name": "Example",
"first_name": "Example",
"last_name": "Example",
"email": "Example",
"phone": "Example",
"status": "Example",
"table": "Example",
"ticket_slot": 42
}
]
}
]
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}⌘I
List event sponsors
curl --request GET \
--url https://api.gratona.com/v1/admin/events/{eventId}/sponsors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/events/{eventId}/sponsors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/events/{eventId}/sponsors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/{eventId}/sponsors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/{eventId}/sponsors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/events/{eventId}/sponsors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/{eventId}/sponsors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"event_sponsor_package_id": 1,
"event_order_id": 1,
"donor_id": 1,
"company_name": "Example",
"contact_name": "Example",
"contact_email": "Example",
"contact_phone": "Example",
"logo_upload_id": 1,
"status": "Example",
"amount": "25.00",
"fair_market_value": "25.00",
"included_tickets_assigned": 42,
"public_visibility": false,
"notes": "Example",
"renewal_follow_up_at": "2026-10-20T12:00:00Z",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z",
"package": {
"id": 1,
"client_id": 1,
"event_id": 1,
"name": "Annual Gala",
"tier": "Example",
"description": "Example",
"price": "25.00",
"fair_market_value": "25.00",
"included_tickets": 1,
"included_tables": 1,
"quantity_available": 1,
"quantity_sold": 1,
"quantity_reserved": 1,
"visibility": "public",
"deliverables_template": [
"<string>"
],
"settings": {},
"is_active": false,
"sort_order": 1,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
},
"donor": {
"id": 42,
"first_name": "Example",
"last_name": "Example",
"email": "jane@example.org"
},
"logo": {
"id": 42,
"name": "event-logo.png",
"file_name": "logo.png"
},
"logo_url": "Example",
"deliverables": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"event_sponsor_id": 1,
"type": "Example",
"label": "Example",
"status": "Example",
"due_at": "2026-10-20T12:00:00Z",
"completed_at": "2026-10-20T12:00:00Z",
"completed_by": 42,
"notes": "Example",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
],
"included_guests": [
{
"id": 42,
"name": "Example",
"first_name": "Example",
"last_name": "Example",
"email": "Example",
"phone": "Example",
"status": "Example",
"table": "Example",
"ticket_slot": 42
}
]
}
]
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}